package com.ffii.fpsms.modules.master.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository
import java.time.LocalDateTime

@Repository
interface UomConversionRepository : AbstractRepository<UomConversion, Long> {
    //fun importFromM18(): ArrayList<UomConversion>;
    fun findAllByDeletedFalse(): List<UomConversion>;

    fun findByIdAndDeletedFalse(id: Long): UomConversion?;
    fun findByCodeAndDeletedFalse(code: String): UomConversion?;

    fun findByM18IdAndDeletedFalse(m18Id: Long): UomConversion?;
    fun findAllByIdInAndDeletedFalse(ids: Collection<Long>): List<UomConversion>

    fun findByLastModifyDateAndM18IdAndDeletedFalse(lastModifyDate: LocalDateTime, m18Id: Long): UomConversion?;
    fun findByUdfudescAndDeletedFalse(udfudesc: String): UomConversion?;
}